Remove MSVC6 support from MozillaBuild

RESOLVED FIXED

Status

mozilla.org
MozillaBuild
RESOLVED FIXED
8 years ago
7 years ago

People

(Reporter: Mitch, Assigned: Mitch)

Tracking

Details

Attachments

(1 attachment)

(Assignee)

Description

8 years ago
Building any currently-active Mozilla branch with MSVC6 is impossible. We should nuke anything specific to MSVC6.
(Assignee)

Comment 1

8 years ago
Created attachment 479065 [details] [diff] [review]
Patch
Attachment #479065 - Flags: review?(ted.mielczarek)
iirc, Neil still builds Mozilla *trunk* with MSVC6 on some system, with a few local hacks. I'm not sure the benefit to removing the little support in MozBuild is really high on our list.

Comment 3

8 years ago
(In reply to comment #2)
> iirc, Neil still builds Mozilla *trunk* with MSVC6 on some system, with a few
> local hacks. I'm not sure the benefit to removing the little support in
> MozBuild is really high on our list.
It's not MSVC6 any more, and I'm not using MozillaBuild for it anyway.

How do the Wiki docs suggest building 1.8.x and earlier?
Doesn't really matter, they're unsupported branches, and old versions of MozillaBuild are still available on FTP if need be. (The current version still contains this code, so it wouldn't be until the next release that people would have a problem anyway.)

Callek: it may not be high on our list, but if Mitch wants to patch it that's fine with me.
Comment on attachment 479065 [details] [diff] [review]
Patch

Please remove the MSVC6 lines from guess-msvc.bat while you're at it.
Attachment #479065 - Flags: review?(ted.mielczarek) → review+
(Assignee)

Comment 6

8 years ago
http://hg.mozilla.org/mozilla-build/rev/bbc637f57f4d
Status: ASSIGNED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
Depends on: 508760
You need to log in before you can comment on or make changes to this bug.